Skip to content

Read one transfer history entry

GET
/v1/mobile/receptionist/transfers/{handoff_id}
curl --request GET \
--url https://api.vocapable.com/v1/mobile/receptionist/transfers/example \
--header 'Authorization: Bearer <token>'
handoff_id
required
Handoff Id
string

Successful Response

Media typeapplication/json
MobileTransferHistoryEntry

The tenant-safe audit view of one direct-rep handoff request.

object
id
required
Id
string
call_id
required
Call Id
string
requested_by
required
Requested By
string
Allowed values: agent user system
requested_rep_id
Any of:
string
requested_rep_name
Any of:
string
requested_group_id
Any of:
string
resolved_rep_id
Any of:
string
resolved_rep_name
Any of:
string
mode
required
Mode
string
status
required
Status
string
failure_code
Any of:
string
requested_at
required
Requested At
string format: date-time
expires_at
required
Expires At
string format: date-time
completed_at
Any of:
string format: date-time
Example
{
"requested_by": "agent"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}